Panda3D

Loading...
Searching...
No Matches
Enumerations | Functions
pathStore.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandatoolbase.h"`

Go to the source code of this file.

## Enumerations
enum | PathStore { PS_invalid , PS_relative , PS_absolute , PS_rel_abs , PS_strip , PS_keep }
| This enumerated type lists the methods by which a filename path might be mangled before storing in a destination file. More...

## Functions
std::string | format_path_store (PathStore unit)
| Returns the string corresponding to this method.
std::ostream & | operator<< (std::ostream &out, PathStore unit)
PathStore | string_path_store (const std::string &str)
| Stores from a string, as might be input by the user, to one of the known PathStore types.

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2003-02-10

Definition in file pathStore.h.

## Enumeration Type Documentation

## ◆ PathStore

enum PathStore

This enumerated type lists the methods by which a filename path might be mangled before storing in a destination file.

Definition at line 23 of file pathStore.h.

## Function Documentation

## ◆ format_path_store()

std::string format_path_store | ( | PathStore | unit | ) |

Returns the string corresponding to this method.

Definition at line 23 of file pathStore.cxx.

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | out,
|  | PathStore | unit )

Definition at line 50 of file pathStore.cxx.

## ◆ string_path_store()

PathStore string_path_store | ( | const std::string & | str | ) |

Stores from a string, as might be input by the user, to one of the known PathStore types.

Returns PS_invalid if the string is unknown.

Definition at line 60 of file pathStore.cxx.